%undefine __libtoolize
%define objprelink 0
%define scriptplugin 0
%define docum 1
Name: scribus
Version: 1.1.2
Release: alt1

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Group: Publishing
Summary: Linux Publisher
URL : http://web2.altmuehlnet.de/fschmid/
License: GPL

Source0: %name-%version.tar.bz2
Source1: %name-scripting-0.5.2.tar.bz2
Source2: %name-i18n-en.tar.bz2

Requires: ghostscript >= 5.50
Requires: libqt3-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Thu Nov 13 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2-devel gcc-c++ glibc-devel-static
BuildRequires: hostinfo libGLU libGLwrapper libart_lgpl-devel libaudio libcups-devel libdb2-devel libexpat
BuildRequires: libjpeg-devel liblcms-devel libmng libpng-devel libqt3-devel libssl
BuildRequires: libstdc++-devel-static libtiff-devel python-devel tcl-devel zlib-devel
BuildRequires: libqt3-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Scribus is a Layout program for Linux, similar to Adobe PageMaker, QuarkXPress
or Adobe InDesign, except that it is
published under the GNU GPL.

%prep
%setup -q -a1 -a2

%build
%define my_configure %configure --with-extra-includes=/usr/include/lcms --enable-static --enable-debug=no --with-xinerama
%if %objprelink
%define my_build %make_build CXX=g++prelink
%else
%define my_build %make_build
%endif

%my_configure
%my_build

%if %scriptplugin
cd ./%name-script*
%my_configure
%my_build
cd ..
%endif

%if %docum
cd ./%name-i18n*
%my_configure
%my_build
cd ..
%endif

%install
%makeinstall

%if %scriptplugin
cd ./%name-script*
%make DESTDIR=%buildroot install
cd ..
%endif

%if %docum
cd ./%name-i18n*
%make DESTDIR=%buildroot install
cd ..
%endif

%set_verify_elf_method relaxed

mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_menudir
cp $RPM_BUILD_ROOT%_libdir/%name/icons/AppIcon.png $RPM_BUILD_ROOT%_iconsdir/scribus.png

#create menu
(cd $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title="Scribus Linux Publisher" \
longtitle="Scribus Linux Publisher under the GNU GPL" \
needs="x11" \
icon="%name.png" \
section="Applications/Publishing"
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_includedir/%name
%_iconsdir/*.png
%_menudir/%name
%dir %_libdir/%name
%_libdir/%name/dicts
%_libdir/%name/icons
%_libdir/%name/libs
%_libdir/%name/plugins
%_libdir/%name/profiles
%_libdir/%name/doc
%_libdir/%name/samples
#%_libdir/%name/*.enc
%_libdir/%name/*.qm
#%_libdir/%name/*.txt
#
#%doc %_datadir/%name/doc
%doc README INSTALL COPYING AUTHORS ChangeLog TODO

%changelog
* Thu Nov 13 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.2-alt1
- 1.1.2 and new buildrequires

* Thu Oct 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.1-alt1
- 1.1.1 and new script plugin 0.5.2

* Sun Sep 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.1.0-alt1
- 1.1.0 and new script plugin 0.5.1

* Wed Aug 27 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0.1-alt2
- new russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Sun Aug 10 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0.1-alt1
- 1.0.1
- russian translation from Alexandre Prokoudine <avp@altlinux.ru>

* Wed Jul 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1
- 1.0 final
- added samples and new html and pdf help documents
- added new script plugin

* Wed Jul 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1.RC1
- 1.0.RC1

* Sun Jun 22 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.11.1-alt1
- 0.9.11.1

* Mon Jun 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.11-alt1
- 0.9.11

* Wed May 21 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.10-alt1
- 0.9.10

* Thu May 01 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Mon Apr 14 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Wed Feb 19 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Sun Jan 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.6-alt2
- new requires and buildrequires
- remove plugins

* Wed Jan 15 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Sun Dec 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Wed Nov 27 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Thu Nov 14 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.9.1-alt1
- 0.9.1
- Script Plugin added

* Sun Oct 13 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.8-alt1
- 0.8

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.8-alt1
- new version
- build with gcc3.2

* Tue Aug 27 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.7-alt1 for AltLinux
- 0.7.7

* Tue Jul 02 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.7.5-alt1 for AltLinux
- 0.7.5

* Fri Jan 04 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.5-alt1 for AltLinux
- 0.5
- specfile cleanup



